/* Bluefish HTML Editor
 * cli.c - command line stuff
 *
 * Copyright (C) 1998,1999 Olivier Sessink and Chris Mazuc
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#include <gtk/gtk.h>
#include <unistd.h>
#include <getopt.h>
#include "config.h"
#include "cli.h"
#include "debug.h"

CLClass
command_line_magic (gint argc, gchar * argv[], CLClass commandline)
{
  gint c, option_index;
  static gint root_override;
  static struct option long_options[] =
  {
    {"force-root", 0, &root_override, 1},
    {0, 0, 0, 0}
  };
  option_index = 0;

  while (1)
    {
      c = getopt_long (argc, argv, "", long_options, &option_index);
      if (c == -1)
	break;
    }

  if (root_override)
    commandline.root_override = 1;

  DEBUG_MSG ("command_line_magic, --force-root == %d\n", commandline.root_override);

  return (commandline);
}
